Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xpath10.compiler
Class SourceLocatorWrapper

    java.lang.Object
      org.apache.ode.bpel.elang.xpath10.compiler.SourceLocatorWrapper

All Implemented Interfaces:
  SourceLocation

    public class SourceLocatorWrapper

extends java.lang.Object
implements SourceLocation

Constructor Summary
`SourceLocatorWrapper(javax.xml.transform.SourceLocator sloc)`

Method Summary
`int` | `getColumnNo()` Column number.
`int` | `getLineNo()` Line number.
`java.lang.String` | `getPath()` Location path (not a file path, but a path in an expression).
`java.net.URI` | `getURI()` URI of the source file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceLocatorWrapper

    public SourceLocatorWrapper(javax.xml.transform.SourceLocator sloc)

Method Detail

### getColumnNo

    public int getColumnNo()

  Description copied from interface: `SourceLocation`
  Column number.

  Specified by:
    `getColumnNo` in interface `SourceLocation`
  Returns:

### getLineNo

    public int getLineNo()

  Description copied from interface: `SourceLocation`
  Line number.

  Specified by:
    `getLineNo` in interface `SourceLocation`
  Returns:

### getPath

    public java.lang.String getPath()

  Description copied from interface: `SourceLocation`
  Location path (not a file path, but a path in an expression).

  Specified by:
    `getPath` in interface `SourceLocation`
  Returns:

### getURI

    public java.net.URI getURI()

  Description copied from interface: `SourceLocation`
  URI of the source file.

  Specified by:
    `getURI` in interface `SourceLocation`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD